cURL
curl --request POST \
--url https://api.feedspace.io/v3/imports/self-imports/image-to-text-review \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: multipart/form-data' \
--form images[]='@example-file'import requests
url = "https://api.feedspace.io/v3/imports/self-imports/image-to-text-review"
files = { "images[]": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('images[]', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
options.body = form;
fetch('https://api.feedspace.io/v3/imports/self-imports/image-to-text-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"source_id": 123,
"reviews": [
{
"id": 456,
"user_id": 789,
"social_platform_id": null,
"review": "Great product! Highly recommend it.",
"review_title": "Excellent Service",
"rating": 5,
"customer_name": "John Doe",
"review_at": "2024-01-01T00:00:00.000000Z"
}
]
}
}
Import Reviews
Screenshot to Review
Screenshot to Review. Upload a screenshot of your review to automatically import it.
POST
/
imports
/
self-imports
/
image-to-text-review
cURL
Authorizations
HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).
Body
multipart/form-data
Request body for importing reviews from a screenshot image. Upload a screenshot of your review to automatically import it.
Image file (required, exactly 1 image). Allowed formats: jpeg, png, jpg, gif, svg, webp, bmp, avif. Max size: 15 MB
⌘I